// management of WD1772 data, base

#include <stdio.h>
#include "wd1772_base.h"

namespace xatremu
{

WD1772Base::WD1772Base(){
	m_IsDoubleDensity = false;
	m_SelectedRegister = 0;
	m_IsDiskSide1 = false;
	m_CurrentTrack = 2;
	m_Is288RPM = false;
	m_ATRData = new unsigned char[368272];
	m_trackData = new unsigned char[0x4000];
	m_imageLoaded = false;
	m_imageType = 0;
};

WD1772Base::~WD1772Base(){
	delete[] m_ATRData;
	delete[] m_trackData;
};

void WD1772Base::SetCPU(CPU8040Base* myCPU){
	m_CPU8040 = myCPU;
};

#ifdef WITH_CAPS
void WD1772Base::SetCapsImgId(SDWORD imgId){
	m_CAPSImgId = imgId;
};

char WD1772Base::AnalyzeFromCT(){
	return -1;
};

unsigned char WD1772Base::DecodeByteFMCT(unsigned long byteToDecode){
	return 0;
};

unsigned int WD1772Base::RecodeDataFMCT(unsigned long recodeLongWord){
	return 0xCCCC;
};

uint64_t WD1772Base::GetTrackDataQuadWordCT(char currentRevolution, unsigned int dataOffset){
	return 0;
};

signed char WD1772Base::SearchSyncsCTFM(uint64_t myDataQuadWord, unsigned long mySync1, unsigned long mySync2, unsigned long mySync3){
	return 0;
};
#endif

void WD1772Base::ResetWD1772(){
};

void WD1772Base::ChooseDoubleDensity(bool doubleDensity){
};

void WD1772Base::MasterReset(){
};

void WD1772Base::ChooseRegister(unsigned char reg){
};

void WD1772Base::ChooseReadRegisters(bool readRegs){
};

void WD1772Base::ChooseSide(bool side){
};

bool WD1772Base::SetImage(char* imageName){
};

void WD1772Base::EjectImage(){
};

void WD1772Base::Choose288RPM(bool rpm288){
};

bool WD1772Base::GetIntRq(){
};

//data request line
bool WD1772Base::StateT1Line(){
};

//check if next drq is due
void WD1772Base::CheckDRQEvent(){
};

void WD1772Base::CheckHeadStepDelay(){
};

void WD1772Base::CheckHeadCalmDelay(){
};

void WD1772Base::CheckMotor(){
};

void WD1772Base::MotorOn(){
};

void WD1772Base::MotorOff(){
};

void WD1772Base::PrepareMotorOff(){
};

void WD1772Base::CountTrackDataOffset(){
};

unsigned char WD1772Base::ByteFromWD1772(){
};

void WD1772Base::ByteToWD1772(unsigned char myByte){
};

unsigned char WD1772Base::GetStatusRegister(){
};

void WD1772Base::CreateTrackData(){
};

void WD1772Base::CreateTrackFromATR(){
};

unsigned int WD1772Base::EncodeByteFM(unsigned char byteToEncode){
};

unsigned char WD1772Base::DecodeByteFM(unsigned int byteToDecode){
};

unsigned int WD1772Base::EncodeByteMFM(unsigned char byteToEncode, bool previousBit){
};

unsigned char WD1772Base::DecodeByteMFM(unsigned int byteToDecode){
};

unsigned int WD1772Base::CalculateCRC(unsigned int CRCStart, unsigned char byteToAdd){
};

unsigned int WD1772Base::CalculateCRCEnd(unsigned int CRCStart){
};

void WD1772Base::SetTrackDataWord(unsigned char * trackPointer, unsigned int dataWord){
};

unsigned long int WD1772Base::GetTrackDataLongword(unsigned char * trackStartPointer, unsigned int dataOffset){
};

void WD1772Base::DataSearchTimeOut(){
};

unsigned int WD1772Base::CyclesToNextDataWord(){
};

signed char WD1772Base::SearchSync(unsigned long int myDataLongWord, unsigned int mySync1, unsigned int mySync2){
};
};

